httpd-2.4

From AIXTOOLS
Jump to: navigation, search

Packages|Apache|aixtools.apache.httpd.2.4.25.0.I

MD5 Checksums

264375066F585DDDD59BF1E7A90B2169 aixtools.apache.httpd.2.4.25.0.I
6C8D082675BA2165C6076E50BFE3CBA8 aixtools.httpd-2.4.bundle.tar.bz2

Package Details

Released: 2016-12-20
Version: 2.4.25
Sources from: https://httpd.apache.org/download.cgi#apache24
Depends on: apr apr-util pcre libiconv (use bundle link for all 4 packages),
Also needs: openssl.base-1.0.1.515(+) - get from IBM

Installation Instructions

* Download the package and the bundle to a single directory (e.g., /tmp/from.aixtools)
* unpack the bundle: (bzip2 -dc aixtools.httpd-2.4.bundle.tar.bz2 | tar xf -)
* install: (installp -d /tmp/from.aixtools -agX aixtools.apache.httpd.rte)
* verify and start: (/opt/bin/apachectl -t && /opt/bin/apachectl start)
* test: (curl `hostname`) || (wget http://`hostname` -q -O -) || (lynx `hostname`)

new package name and ABI

--Michael Felt (talk) 14:16, 10 January 2017 (UTC)(talk) 19:56, 13 January 2016 (UTC)

The package name is aixtools.apache.httpd (and needs aixtools.apache.apr and aixtools.apache.apr-util - all in bundle above).

The ABI is 64-bit, so external libraries, extra modules, etc. need to be 64-bit as well. The aixtools packages above are dual-ABI (both 32 and 64-bit objects and/or shared libraries)

Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox